跳到主要內容

已不再支援此瀏覽器。

請升級至 Microsoft Edge,以利用最新功能、安全性更新和技術支援。

下載 Microsoft Edge Internet Explorer 和 Microsoft Edge 的詳細資訊
microsoft-foundry.rest.security.o-auth2-auth

Checkpoints

Save a training checkpoint

POST /fine_tuning/sessions/{sessionId}/checkpoint

Save a training checkpoint containing LoRA weights and optimizer state. Poll the returned request identifier for the result.

Header parameters

Foundry-Features enum required

A feature flag opt-in required when using preview operations or modifying persisted preview resources.

FineTuningSessions=V1Preview

Path parameters

sessionId string required

Identifier of the fine-tuning session to checkpoint.

Query parameters

api-version string required

The API version to use for this operation.

Request Body

Identifier and optional training metadata for the checkpoint.

Content-Type: application/json
path string required

User-supplied checkpoint identifier. Alphanumeric plus underscores and hyphens; max 255 characters.

step_number integer

Training iteration this checkpoint corresponds to. Optional.

metrics object

Per-step evaluation metrics at checkpoint time. Optional.

Responses

The request has succeeded.

Body

Content-Type: application/json
request_id string required

Request identifier to pass to the session's request-status endpoint.

status enum required

Indicates that the request has not yet completed.

pending

Client error

Headers

x-ms-error-code string

String error code indicating what went wrong.

Body

Content-Type: application/json
error OpenAI.Error required
code string | null required
message string required
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Any of the following:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string required

The public continuation instruction.

details OpenAI.Error[]

Additional errors that contributed to this failure.

additionalInfo object

Additional structured information about the failure.

debugInfo object

Diagnostic information supplied by the service for troubleshooting.

Server error

Headers

x-ms-error-code string

String error code indicating what went wrong.

Body

Content-Type: application/json
error OpenAI.Error required
code string | null required
message string required
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Any of the following:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string required

The public continuation instruction.

details OpenAI.Error[]

Additional errors that contributed to this failure.

additionalInfo object

Additional structured information about the failure.

debugInfo object

Diagnostic information supplied by the service for troubleshooting.

Request

POST /fine_tuning/sessions/{sessionId}/checkpoint HTTP/1.1

Response

Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
zh-tw
您的隱私權選擇
  • AI 免責聲明
  • 舊版本
  • 部落格
  • 參與
  • 隱私權
  • 消費者健康隱私
  • 使用規定
  • 商標
  • © Microsoft 2026